/*重置属性*/

.dflex-column{display: flex; flex-direction: column;}
.dflex-column-center{display: flex; flex-direction: column; justify-content: center;}
.dflex-column-dcenter{display: flex; flex-direction: column; justify-content: center; align-items: center;}
.dflex-row{display: flex; flex-direction: row;}
.dflex-row-center{display: flex; flex-direction: row; align-items: center;}
.dflex-row-dcenter{display: flex; flex-direction: row; justify-content: center; align-items: center;}
.flex-1{flex: 1;}
.flex-2{flex: 2;}
.flex-3{flex: 3;}
.flex-4{flex: 4;}
.flex-5{flex: 5;}

.font-size20{font-size: 2rem;}
.font-size19{font-size: 1.9rem;}
.font-size18{font-size: 1.8rem;}
.font-size17{font-size: 1.7rem;}
.font-size16{font-size: 1.6rem;}
.font-size15{font-size: 1.5rem;}
.font-size14{font-size: 1.4rem;}
.font-size13{font-size: 1.3rem;}
.font-size12{font-size: 1.2rem;}
.font-size11{font-size: 1.1rem;}
.font-size10{font-size: 1rem;}
.font-size09{font-size: 0.9rem;}
.font-size08{font-size: 0.8rem;}
.font-size07{font-size: 0.7rem;}
.font-size06{font-size: 0.6rem;}

.both-height20{height: 2.0rem !important; line-height: 2.0rem !important;}
.both-height19{height: 1.9rem !important; line-height: 1.9rem !important;}
.both-height18{height: 1.8rem !important; line-height: 1.8rem !important;}
.both-height17{height: 1.7rem !important; line-height: 1.7rem !important;}
.both-height16{height: 1.6rem !important; line-height: 1.6rem !important;}
.both-height15{height: 1.5rem !important; line-height: 1.5rem !important;}
.both-height14{height: 1.4rem !important; line-height: 1.4rem !important;}
.both-height13{height: 1.3rem !important; line-height: 1.3rem !important;}
.both-height12{height: 1.2rem !important; line-height: 1.2rem !important;}
.both-height11{height: 1.1rem !important; line-height: 1.1rem !important;}
.both-height10{height: 1.0rem !important; line-height: 1.0rem !important;}
.both-height09{height: 0.9rem !important; line-height: 0.9rem !important;}
.both-height08{height: 0.8rem !important; line-height: 0.8rem !important;}



.text-flex-multis{display: flex; flex-direction: row; justify-content: flex-start; align-items: center; overflow: hidden; word-break: break-all;}
.text-line2-ellipsis{display: -webkit-box; display: -moz-box; white-space: pre-wrap; word-wrap: break-word; overflow: hidden; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp:2; text-align: center;}
.text-input-span{margin-top: -0.1rem; height: 100%; text-align:left; border: none; background: rgba(0,0,0,0);}

.overflow-ellipsis{overflow: hidden; text-overflow: ellipsis; white-space: nowrap;}

.text-nowrap{white-space: nowrap;}
.text-ellipsis{white-space: nowrap; text-overflow:ellipsis; word-break: keep-all; overflow: hidden;}

.listyle-none {list-style: none;}
.underline-none {text-decoration: none;}

.popup-prompt-box{display: none; width: auto; color: red; text-align: center;}

/*.text-pink{color: #f92472;}*/
.text-pink0{color: #ac80ff;}
.text-pink{color: #e83e8c !important;}
.text-teal{color: #20c997 !important;}
.text-orange{color: #fd7e14 !important;}
.text-white{color: #fff !important;}
.text-red{color: #ff0000 !important;}
.text-gray{color: #6c757d !important;}

.bg-pink0 {  background-color: #ac80ff !important;}
.bg-appends {  background-color: #d9534f !important;}
.bg-none {background: rgba(0,0,0,0) !important;}

/*button.bg-none:hover, button.bg-none:focus {background: rgba(0,0,0,0) !important;}*/


.zoom-scaler{transition: transform 0.3s ease; /*box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);*/ }
.zoom-scaler:hover {transform: scale(1.05);}



